<mat-toolbar color="primary">
  <button
    mat-icon-button
    (click)="drawerToggle()"
    aria-label="navigation-sidebar-toggler"
  >
    <mat-icon>menu</mat-icon>
  </button>
  <span class="spacer"></span>

  <app-search-bar *ngIf="showSearch"></app-search-bar>
</mat-toolbar>

<div id="progress">
  <mat-progress-bar
    *ngIf="loading"
    mode="indeterminate"
    color="accent"
  ></mat-progress-bar>
  <mat-progress-bar
    *ngIf="!loading && (progress$ | async) !== undefined"
    mode="determinate"
    color="primary"
    [value]="progress$ | async"
  ></mat-progress-bar>
</div>
